History
Post apiusersearch history download delta
Start a fresh-data export for a previous search. Uncapped searches export only companies created after the original export. Capped searches create a full-expansion export and charge current total credits minus the original capped credits.
POST
/
api
/
user
/
search-history
/
{search_id}
/
download-delta
/
cURL
curl -X POST 'https://www.spherescout.io/api/user/search-history/{search_id}/download-delta/' \
-H 'Authorization: Token YOUR_API_KEY' \
-H 'User-Agent: SphereScout/1.0' \
-H 'Content-Type: application/json' \
-d '{}'import requests
response = requests.post(
"https://www.spherescout.io/api/user/search-history/{search_id}/download-delta/",
headers={
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
json={},
)
print(response.json())const response = await fetch("https://www.spherescout.io/api/user/search-history/{search_id}/download-delta/", {
method: "POST",
headers: {
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
"Content-Type": "application/json",
},
body: JSON.stringify({}),
});
const data = await response.json();
{
"status": "<string>",
"validation_code": "<string>",
"search_id": 123,
"lead_count": 123,
"required_credits": 123,
"available_credits": 123,
"freshness": {},
"freshness_checked_at": "2023-11-07T05:31:56Z"
}Authorizations
API key. Format: Token
Path Parameters
⌘I
cURL
curl -X POST 'https://www.spherescout.io/api/user/search-history/{search_id}/download-delta/' \
-H 'Authorization: Token YOUR_API_KEY' \
-H 'User-Agent: SphereScout/1.0' \
-H 'Content-Type: application/json' \
-d '{}'import requests
response = requests.post(
"https://www.spherescout.io/api/user/search-history/{search_id}/download-delta/",
headers={
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
},
json={},
)
print(response.json())const response = await fetch("https://www.spherescout.io/api/user/search-history/{search_id}/download-delta/", {
method: "POST",
headers: {
"Authorization": "Token YOUR_API_KEY",
"User-Agent": "SphereScout/1.0",
"Content-Type": "application/json",
},
body: JSON.stringify({}),
});
const data = await response.json();
{
"status": "<string>",
"validation_code": "<string>",
"search_id": 123,
"lead_count": 123,
"required_credits": 123,
"available_credits": 123,
"freshness": {},
"freshness_checked_at": "2023-11-07T05:31:56Z"
}